<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@page import="java.util.Collection"%>
<%@page import="de.intevation.gnv.artifactdatabase.objects.ArtifactObject"%>
<%@page import="de.intevation.gnv.action.sessionmodel.SessionModel"%>
<%@page import="de.intevation.gnv.action.sessionmodel.SessionModelFactory"%>
<%@page import="java.util.Iterator"%>
<%  Object ui              = request.getAttribute("ui");
    Object staticui        = request.getAttribute("staticui");
    Object chart           = request.getAttribute("chart");
    Object statistic       = request.getAttribute("statistic");
    Object histogram       = request.getAttribute("histogram");
    Object wms             = request.getAttribute("wms");
    boolean furthertargets = true;
      
    Object furthertargetsObject = request.getAttribute("furthertargets");
    if (furthertargetsObject != null){
        furthertargets = ((Boolean)furthertargetsObject).booleanValue();
    }
%>
    <div>
    <%if (staticui == null){ %>
        <jsp:include page="includes/display_fis_inc.jsp"></jsp:include>
    <%} else {%>
        <div class="down">
            <fieldset>
                <legend><bean:message key="gnviewer.history.title"/></legend>
                <%=staticui.toString()%>
            </fieldset>
        </div>
    <%}%>
    
    <%-- render the dynamic part to feed the state and advance to the next state --%>
    <%if (ui != null){%>
        <div id="timeseriesfilter">
            <form id="fisSelectionForm" onsubmit="displayOverlay()" action="<%=response.encodeURL("next.do")%>" method="post">
               <fieldset>
                <%=ui != null ? ui.toString().replaceAll("&nbsp;", "") : "" %>
               
                <%if(furthertargets){%>
                <input type="submit" value="<bean:message key="gnviewer.select.button"/>"/>
                <%}%>
                </fieldset>
            </form>
        </div>
    <%}%>
    </div>

    <div id="map"></div>

        <%-- render export options if existing for this state --%>
    <jsp:include page="includes/display_export_inc.jsp"></jsp:include>

    <%if (chart != null) {%>
    <%-- render chart options if existing for this state --%>
    <jsp:include page="includes/display_diagramm_inc.jsp"></jsp:include>
    <%}%>

    <%-- render statistic --%>
    <%if (statistic != null) {%>
        <jsp:include page="includes/display_diagramm_statistics_inc.jsp"></jsp:include>
    <%}%>

    <%-- render histogram --%>
    <%if (histogram != null) {%>
        <jsp:include page="includes/display_histogram_inc.jsp"></jsp:include>
    <%}%>
